package domain

import (
	"topsdk/util"
)

type AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo struct {
	/*
	   活动ID     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   活动名称     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   活动类型 1：活动 2：券     */
	ActivityType *int64 `json:"activity_type,omitempty" `

	/*
	   购买数量     */
	BuyQuantity *int64 `json:"buy_quantity,omitempty" `

	/*
	   优惠金额     */
	DiscountFee *int64 `json:"discount_fee,omitempty" `

	/*
	   优惠件数     */
	DiscountQuantity *int64 `json:"discount_quantity,omitempty" `

	/*
	   补差类型     */
	DiscountType *int64 `json:"discount_type,omitempty" `

	/*
	   主键id     */
	Id *int64 `json:"id,omitempty" `

	/*
	   主订单号     */
	MainOrderId *string `json:"main_order_id,omitempty" `

	/*
	   商家编码     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   商家优惠补差金额     */
	MerchantDiscountFee *int64 `json:"merchant_discount_fee,omitempty" `

	/*
	   交易状态     */
	OrderStatus *int64 `json:"order_status,omitempty" `

	/*
	   外部订单号     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   商品编码     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   子单号     */
	SubOrderId *string `json:"sub_order_id,omitempty" `

	/*
	   淘鲜达优惠金额     */
	TxdDiscountFee *int64 `json:"txd_discount_fee,omitempty" `

	/*
	   业务时间     */
	BizTime *util.LocalTime `json:"biz_time,omitempty" `

	/*
	   订单渠道     */
	OrderChannel *int64 `json:"order_channel,omitempty" `

	/*
	   出资方 1表示平台出资  0表示品牌商出资     */
	Investor *int64 `json:"investor,omitempty" `
}

func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetActivityId(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetActivityName(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.ActivityName = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetActivityType(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.ActivityType = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetBuyQuantity(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.BuyQuantity = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetDiscountFee(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.DiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetDiscountQuantity(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.DiscountQuantity = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetDiscountType(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.DiscountType = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetId(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.Id = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetMainOrderId(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.MainOrderId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetMerchantCode(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetMerchantDiscountFee(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.MerchantDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetOrderStatus(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetOutOrderId(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetSkuCode(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetSkuName(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetStoreId(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetSubOrderId(v string) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.SubOrderId = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetTxdDiscountFee(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.TxdDiscountFee = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetBizTime(v util.LocalTime) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.BizTime = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetOrderChannel(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.OrderChannel = &v
	return s
}
func (s *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo) SetInvestor(v int64) *AlibabaWdkTradeDiscountBillGetOrderDiscountBillBo {
	s.Investor = &v
	return s
}
